Set a default wiki page on project creation
2009-02-03 17:33 - Kevin Menard

Status: Closed Start date: 2009-02-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed

Description

The current wiki start-up process is overly complex. It is not sufficient to just enable the wiki module. An admin then has to go to the
project settings and create a start page. On a side note, the instructions indicate that the page name should be wrapped in double
square brackets -- this is in fact not needed.

| think instead, a default page name should be used (say, "Start") and an admin can optionally rename it. This way, the wiki is able
to be used as soon as it is enabled. One less hurdle to getting set-up.

Associated revisions

Revision 2474 - 2009-02-15 17:43 - Jean-Philippe Lang

Create a wiki with a default start page named 'Wiki' when enabling wiki module (#2657).

History

#1 - 2009-02-03 17:56 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-02-03 17:57 - Jean-Philippe Lang

- Subject changed from Wiki overly complex to get started to Set a default wiki page on project creation

This is clearly an enhancement but not a defect.

#3 - 2009-02-03 18:05 - Kevin Menard

Fair enough. | consider the current implementation a usability issue, which | would classify as a bug. If that's not the norm here, I'll file usability
issues as features.

#4 - 2009-02-15 17:44 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 0.9.0

- Resolution set to Fixed

Done in r2474. The project wiki will be automatically created when creating a project with wiki module enabled or when enabling the wiki module on
an existing project.
